# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.analytics
Enum GwoStatus.Value

    java.lang.Object
      java.lang.Enum<GwoStatus.Value>
          com.google.gdata.data.analytics.GwoStatus.Value

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<GwoStatus.Value>

Enclosing class:
  GwoStatus

    public static enum GwoStatus.Value

extends java.lang.Enum<GwoStatus.Value>

Value.

Enum Constant Summary
`ARCHIVED` Archived experiment status.
`FINISHED` Finished experiment status.
`NEW` New experiment status.
`PAUSED` Paused experiment status.
`RUNNING` Running experiment status.

Method Summary
`java.lang.String` `toValue()` Returns the value used in the XML.
`static GwoStatus.Value` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static GwoStatus.Value[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ARCHIVED

    public static final GwoStatus.Value ARCHIVED

  Archived experiment status.

### FINISHED

    public static final GwoStatus.Value FINISHED

  Finished experiment status.

### NEW

    public static final GwoStatus.Value NEW

  New experiment status.

### PAUSED

    public static final GwoStatus.Value PAUSED

  Paused experiment status.

### RUNNING

    public static final GwoStatus.Value RUNNING

  Running experiment status.

Method Detail

### values

    public static GwoStatus.Value[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (GwoStatus.Value c : GwoStatus.Value.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static GwoStatus.Value valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### toValue

    public java.lang.String toValue()

  Returns the value used in the XML.

  Returns:
    value used in the XML